---
title: "更新公司地点目录"
description: "更新一个公司地点目录"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/update-a-company-location-catalog'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/update-a-company-location-catalog.md'
---
# 更新公司地点目录

更新一个公司地点目录

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /company_location_catalog/:catalog_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_products`

## Request

### Path Parameters

* `catalog_id`

  string (required)

  公司地点目录 ID。  
  最大长度限制：19

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `adjustment_value`

  integer

  按`adjustment_type`进行调整的数值，格式为百分比
  - 调低价格时，值限制为0～100
  - 调高价格时，值限制为0～10000

* `auto_add_product`

  boolean

  是否将新增的产品自动加入到目录当中。
  - `true`：自动加入
  - `false`：不自动加入
  
  默认值：`false`

* `currency_code`

  string

  商品标价币种，为空时使用店铺货币定价。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如 `CNY`。

* `status`

  integer

  指定目录的状态，值为`1`为激活状态，值为`2`为草稿状态

* `title`

  string

  指定目录的标题。  
  最大长度限制：250

* `adjustment_type`

  integer

  按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

_No response body_

#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "更新一个公司地点目录",
  "externalDocs": {
    "description": "接口使用的权限点: `write_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "IDIjgR4w",
  "parameters": [
    {
      "name": "catalog_id",
      "in": "path",
      "description": "公司地点目录 ID。  \n最大长度限制：19",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "catalog_id",
        "description": "公司地点目录 ID。  \n最大长度限制：19",
        "type": "string",
        "example": "6598087148213149672"
      },
      "example": "6598087148213149672",
      "examples": {
        "更新公司地点目录": {
          "value": "6727643236200660224"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "adjustment_value": {
              "name": "adjustment_value",
              "description": "按`adjustment_type`进行调整的数值，格式为百分比\n- 调低价格时，值限制为0～100\n- 调高价格时，值限制为0～10000",
              "type": "integer",
              "example": 50
            },
            "auto_add_product": {
              "name": "auto_add_product",
              "description": "是否将新增的产品自动加入到目录当中。\n- `true`：自动加入\n- `false`：不自动加入\n\n默认值：`false`",
              "type": "boolean",
              "example": true
            },
            "currency_code": {
              "name": "currency_code",
              "description": "商品标价币种，为空时使用店铺货币定价。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如 `CNY`。",
              "type": "string",
              "example": "USD"
            },
            "status": {
              "name": "status",
              "description": "指定目录的状态，值为`1`为激活状态，值为`2`为草稿状态",
              "type": "integer",
              "example": 1
            },
            "title": {
              "name": "title",
              "description": "指定目录的标题。  \n最大长度限制：250",
              "type": "string",
              "example": "A catalog title"
            },
            "adjustment_type": {
              "name": "adjustment_type",
              "description": "按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格",
              "type": "integer",
              "example": 1
            }
          },
          "example": {
            "currency_code": "USD",
            "status": 1,
            "title": "A catalog title",
            "adjustment_type": 1,
            "adjustment_value": 50,
            "auto_add_product": true
          }
        },
        "examples": {
          "更新公司地点目录": {
            "description": "更新公司地点目录",
            "value": {
              "status": "1",
              "title": "A catalog title",
              "adjustment_type": "1",
              "adjustment_value": "50",
              "auto_add_product": "true",
              "currency_code": "USD"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "examples": {
            "更新公司地点目录": {
              "description": "更新公司地点目录",
              "value": {}
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/company_location_catalog/:catalog_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "更新公司地点目录",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_products"
  ]
}
```